All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface ApplicationAction

All Superinterfaces:
  CMetadata, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root

    public interface ApplicationAction

extends PrimaryType

Represents a feature/action of an application. These are used in conjunction with Roles (IdentityGroup objects with a type of Role) to control which application features are made available to different users. Application actions are designed by applications and created by them during installation and/or configuration. The user manager can be used to create roles and manage user access to those features. Since applications are designed to respond only to certain actions there is no need for users to explicitly create their own application actions.

Attributes of ApplicationAction are:

- `ActionIdentifier`
- `ActionType`

Associations of ApplicationAction are:

## Usage

To create an instance of this ApplicationAction, use the `factory` create methods.
Example: create a ApplicationAction with name "ApplicationAction_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     ApplicationAction myObject = (ApplicationAction) factory.createComplexMetadataObject(objectStore, "ApplicationAction_Object", MetadataObjects.APPLICATIONACTION, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ATTRIBUTE_ACTIONIDENTIFIER_NAME` Constant used for the name of the ActionIdentifier attribute.
`static java.lang.String` | `ATTRIBUTE_ACTIONTYPE_NAME` Constant used for the name of the ActionType attribute.

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`java.lang.String` | `getActionIdentifier()` Gets the `String` value of `ActionIdentifier`
`int` | `getActionIdentifierMaxLength()` Gets the maximum length of `ActionIdentifier`
`int` | `getActionIdentifierState()` Gets the Metadata State of `ActionIdentifier`
`java.lang.String` | `getActionType()` Gets the `String` value of `ActionType`
`int` | `getActionTypeMaxLength()` Gets the maximum length of `ActionType`
`int` | `getActionTypeState()` Gets the Metadata State of `ActionType`
`void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are:
`void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`void` | `setActionIdentifier(java.lang.String inActionIdentifier)` Sets the `ActionIdentifier` value and sets the state to MetadataState.LOCAL.
`void` | `setActionIdentifier(java.lang.String inActionIdentifier, int state)` Sets the `ActionIdentifier` Metadata State.
`void` | `setActionIdentifierState(int state)` Sets the Metadata State of `ActionIdentifier`.
`void` | `setActionType(java.lang.String inActionType)` Sets the `ActionType` value and sets the state to MetadataState.LOCAL.
`void` | `setActionType(java.lang.String inActionType, int state)` Sets the `ActionType` Metadata State.
`void` | `setActionTypeState(int state)` Sets the Metadata State of `ActionType`.

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_ACTIONIDENTIFIER_NAME

    static final java.lang.String ATTRIBUTE_ACTIONIDENTIFIER_NAME

  Constant used for the name of the ActionIdentifier attribute.

  ActionIdentifier: ActionIdentifier

  See Also:
    Constant Field Values

### ATTRIBUTE_ACTIONTYPE_NAME

    static final java.lang.String ATTRIBUTE_ACTIONTYPE_NAME

  Constant used for the name of the ActionType attribute.

  ActionType: ActionType

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:

  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getActionIdentifier

    java.lang.String getActionIdentifier()
                                         throws java.rmi.RemoteException

  Gets the `String` value of `ActionIdentifier`

  Returns:
    The `ActionIdentifier`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getActionIdentifierState

    int getActionIdentifierState()
                                 throws java.rmi.RemoteException

  Gets the Metadata State of `ActionIdentifier`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getActionIdentifierMaxLength

    int getActionIdentifierMaxLength()
                                     throws java.rmi.RemoteException

  Gets the maximum length of `ActionIdentifier`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getActionType

    java.lang.String getActionType()
                                   throws java.rmi.RemoteException

  Gets the `String` value of `ActionType`

  Returns:
    The `ActionType`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getActionTypeState

    int getActionTypeState()
                           throws java.rmi.RemoteException

  Gets the Metadata State of `ActionType`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getActionTypeMaxLength

    int getActionTypeMaxLength()
                               throws java.rmi.RemoteException

  Gets the maximum length of `ActionType`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### setActionIdentifier

    void setActionIdentifier(java.lang.String inActionIdentifier)
                             throws java.rmi.RemoteException

  Sets the `ActionIdentifier` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inActionIdentifier` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setActionIdentifier

    void setActionIdentifier(java.lang.String inActionIdentifier,
                             int state)
                             throws java.rmi.RemoteException

  Sets the `ActionIdentifier` Metadata State.

  Parameters:
    `inActionIdentifier` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setActionIdentifierState

    void setActionIdentifierState(int state)
                                  throws java.rmi.RemoteException

  Sets the Metadata State of `ActionIdentifier`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setActionType

    void setActionType(java.lang.String inActionType)
                       throws java.rmi.RemoteException

  Sets the `ActionType` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inActionType` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setActionType

    void setActionType(java.lang.String inActionType,
                       int state)
                       throws java.rmi.RemoteException

  Sets the `ActionType` Metadata State.

  Parameters:
    `inActionType` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setActionTypeState

    void setActionTypeState(int state)
                            throws java.rmi.RemoteException

  Sets the Metadata State of `ActionType`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.